import type { _NSCopying } from "../Foundation/NSCopying.js";
import type { _NSObject } from "../Foundation/NSObject.js";
import type { _NSSecureCoding } from "../Foundation/NSSecureCoding.js";
import type { MKAddressFilterOption } from "./MKAddressFilterOption.js";
export declare class _MKAddressFilter extends _NSObject {
    static alloc(): _MKAddressFilter;
    static new(): _MKAddressFilter;
    init(): _MKAddressFilter;
    static filterIncludingAll(): _MKAddressFilter;
    static filterExcludingAll(): _MKAddressFilter;
    initIncludingOptions$(options: MKAddressFilterOption): _MKAddressFilter;
    initExcludingOptions$(options: MKAddressFilterOption): _MKAddressFilter;
    includesOptions$(options: MKAddressFilterOption): boolean;
    excludesOptions$(options: MKAddressFilterOption): boolean;
}
export interface _MKAddressFilter extends _NSSecureCoding, _NSCopying {
}
